#Publican Document Specfile
%define RHEL5 %(test %{?dist} == .el5 && echo 1 || echo 0)
%define HTMLVIEW %(test %{RHEL5} == 1 && echo 1 || echo 0)

%define viewer xdg-open
%define ICONS 0
%define wwwdir %{_localstatedir}/www/html/docs

%if %{HTMLVIEW}
%define viewer htmlview
%endif

Name:          Fedora-Installation_Quick_Start_Guide-18-web-en-US
Version:       1.0
Release:       1%{?dist}

Summary:       Downloading and installing Fedora 18 on most desktop and laptop computers
Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.fedoraproject.org
Source:        %{name}-%{version}-1.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.6
BuildRequires: desktop-file-utils
Requires:      publican >= 2.6
BuildRequires: publican-fedora


%description

This document shows you how to download and install Fedora. It does
not cover every possible scenario, but describes steps that will
work in most situations on most common hardware.

%package -n Fedora-Installation_Quick_Start_Guide-18-en-US


Summary:    Downloading and installing Fedora 18 on most desktop and laptop computers

Group:        Documentation
%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif



%description  -n Fedora-Installation_Quick_Start_Guide-18-en-US

This document shows you how to download and install Fedora. It does
not cover every possible scenario, but describes steps that will
work in most situations on most common hardware.

%prep
%setup -q

%build
export CLASSPATH=$CLASSPATH:%{_javadir}/ant/ant-trax-1.7.0.jar:%{_javadir}/xmlgraphics-commons.jar:%{_javadir}/batik-all.jar:%{_javadir}/xml-commons-apis.jar:%{_javadir}/xml-commons-apis-ext.jar
publican build --nocolours --embedtoc --formats="html,html-single,pdf,epub,html-desktop" --langs=en-US --publish

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{wwwdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps
cp -rf publish/en-US $RPM_BUILD_ROOT/%{wwwdir}/.

%if %{ICONS}
for icon in `ls en-US/icons/*x*.png`; do
  size=`echo "$icon" | sed -e 's/.*icons\/\(.*\)\.png/\1/'`;
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
  cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/Fedora-Installation_Quick_Start_Guide-18-en-US.png;
done
cp en-US/icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Fedora-Installation_Quick_Start_Guide-18-en-US.svg;
%else
cp en-US/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Fedora-Installation_Quick_Start_Guide-18-en-US.svg;
%endif


cat > Fedora-Installation_Quick_Start_Guide-18-en-US-1.0.desktop <<'EOF'
[Desktop Entry]
Name=Fedora 18: Installation Quick Start Guide
Comment=Downloading and installing Fedora 18 on most desktop and laptop computers
Exec=%{viewer} %{_docdir}/Fedora-Installation_Quick_Start_Guide-18-en-US-%{version}/index.html
Icon=Fedora-Installation_Quick_Start_Guide-18-en-US
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install --vendor=redhat --dir=${RPM_BUILD_ROOT}%{_datadir}/applications Fedora-Installation_Quick_Start_Guide-18-en-US-1.0.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications Fedora-Installation_Quick_Start_Guide-18-en-US-1.0.desktop
%endif


%preun -n Fedora-Installation_Quick_Start_Guide-18-web-en-US
if [ "$1" = "0" ] ; then # last uninstall
publican update_db --del --lang="en-US" --formats=html,html-single,pdf,epub --name="Installation_Quick_Start_Guide" --version="18" --product="Fedora"
fi

%post -n Fedora-Installation_Quick_Start_Guide-18-web-en-US
publican update_db --add --lang="en-US" --formats="html,html-single,pdf,epub" --name="Installation_Quick_Start_Guide" --version="18" --product="Fedora" --subtitle="Downloading and installing Fedora 18 on most desktop and laptop computers" --abstract="This document shows you how to download and install Fedora. It does not cover every possible scenario, but describes steps that will work in most situations on most common hardware."   

# Update Icon cache if it exists
%post -n Fedora-Installation_Quick_Start_Guide-18-en-US
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n Fedora-Installation_Quick_Start_Guide-18-en-US
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans -n Fedora-Installation_Quick_Start_Guide-18-en-US
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{wwwdir}/en-US

%files -n Fedora-Installation_Quick_Start_Guide-18-en-US
%defattr(-,root,root,-)
%doc tmp/en-US/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%else
/usr/share/icons/hicolor/scalable/apps/Fedora-Installation_Quick_Start_Guide-18-en-US.svg
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/redhat-Fedora-Installation_Quick_Start_Guide-18-en-US-1.0.desktop
%else
%{_datadir}/applications/Fedora-Installation_Quick_Start_Guide-18-en-US-1.0.desktop
%endif

%changelog
* Sun Jan 13 2013 Jack Reed <jreed@redhat.com> - 1.0-0
- Updates for Fedora 18 



